Bug 512674

Summary: Review Request: python-iwlib - Python module to interface with iwlib
Product: [Fedora] Fedora Reporter: Jiri Popelka <jpopelka>
Component: Package ReviewAssignee: Dan Horák <dan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dan, fedora-package-review, notting
Target Milestone: ---Flags: dan: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.1-1.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-29 21:29:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jiri Popelka 2009-07-20 10:43:41 UTC
Spec URL: http://jpopelka.fedorapeople.org/python-iwlib.spec
SRPM URL: http://jpopelka.fedorapeople.org/python-iwlib-0.1-1.fc11.src.rpm
Description:

 Python bindings for the iwlib kernel interface,
that provides functions to examine the wireless network devices
installed on the system.

This package will be used by system-config-network instead of rhpl.iwlib.
I ripped out the rhpl.iwlib, because rhpl will probably be dropped for Fedora 12.
See: https://bugzilla.redhat.com/show_bug.cgi?id=508988

This is my first package, but I'm already sponsored.

Comment 1 Dan Horák 2009-07-22 08:15:52 UTC
formal review is here, see the notes below:

OK*	source files match upstream:
	    b677495341b777151f993ebddd979e21d9444a23  python-iwlib-0.1.tar.bz2
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK*	license is open source-compatible (GPLv2). License text included in package.
OK*	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
BAD	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
BAD	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- project home page from the URL tag doesn't exist, IMHO you should start a project on fedorahosted.org, latest version can't be checked
- you should copy the standard GPL header into the iwlib.c source file
- rpmlint complains a bit
python-iwlib.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/site-packages/iwlib.so 0775
    => should be 0755

Comment 2 Jiri Popelka 2009-07-24 14:11:29 UTC
Fixed.
New src.rpm and spec uploaded - same location as before.

Comment 3 Dan Horák 2009-07-27 08:58:49 UTC
Each iteration of a package during the review should be released with an increased release and with a changelog entry summarizing the changes.

IMO using plain http instead of https should be preferred for Source URL.

But all issues are fixed now and this package is APPROVED.

Comment 4 Jiri Popelka 2009-07-27 10:26:34 UTC
New Package CVS Request
=======================
Package Name: python-iwlib
Short Description: Wireless settings python bindings
Owners: jpopelka
Branches: F-11
InitialCC:

Comment 5 Kevin Fenzi 2009-07-28 04:23:26 UTC
cvs done.

Comment 6 Fedora Update System 2009-07-28 14:02:10 UTC
python-iwlib-0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-iwlib-0.1-1.fc11

Comment 7 Fedora Update System 2009-07-29 21:29:46 UTC
python-iwlib-0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.